gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.FontFuncsT

Contents

- Exported types
- Methods

Description

Data type containing a set of virtual methods used for working on `FontT` font objects.

HarfBuzz provides a lightweight default function for each of the methods in `FontFuncsT`. Client programs can implement their own replacements for the individual font functions, as needed, and replace the default by calling the setter for a method.

Synopsis

- newtype FontFuncsT = FontFuncsT (ManagedPtr FontFuncsT)

# Exported types

newtype FontFuncsT Source #

Memory-managed wrapper type.

Constructors

FontFuncsT (ManagedPtr FontFuncsT) |

#### Instances

Instances details

Eq FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods (==) :: FontFuncsT -> FontFuncsT -> Bool Source # (/=) :: FontFuncsT -> FontFuncsT -> Bool Source #
GBoxed FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT
ManagedPtrNewtype FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods toManagedPtr :: FontFuncsT -> ManagedPtr FontFuncsT Source #
TypedObject FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods glibType :: IO GType Source #
HasParentTypes FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT
IsGValue (Maybe FontFuncsT) Source # | Convert `FontFuncsT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FontFuncsT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FontFuncsT) Source #
type ParentTypes FontFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontFuncsT type ParentTypes FontFuncsT = '[] :: [Type]

# Methods